# Prosody HTTP external upload

![ ](https://drone.r3pek.org/api/badges/r3pek/docker-prosody-http-upload-external/status.svg  "Build Status") ![ ](https://img.shields.io/docker/pulls/r3pek/prosody-http-upload-external.svg  "Docker Pulls") ![ ](https://img.shields.io/docker/stars/r3pek/prosody-http-upload-external.svg  "Docker Stars")

This image is derived from the [Ric Harvey's nginx Image](https://hub.docker.com/r/richarvey/nginx-php-fpm/)


It just serves a simple file named share_v2.php taken from [Prosody's source](https://hub.docker.com/r/richarvey/nginx-php-fpm/).
This server is ment to be using in conjuntion with Prosody XMPP server and *mod\_http\_upload\_external* ([docs](https://modules.prosody.im/mod_http_upload_external.html))

## Variables
* SECRET\_KEY: Stores the secret key shared with the prosody server (http\_upload\_external\_secret option)

## Volumes
* /storage: Used to store and serve the uploaded files

# Quick Reference
* Where to file issues / suggestions
https://code.r3pek.org/r3pek/docker-prosody-http-upload-external/issues

* Maintained by
[r3pek](https://code.r3pek.org/r3pek/)

* Source repository
https://code.r3pek.org/r3pek/docker-prosody-http-upload-external/

